back to phpList.org

Beta updater failure

automatic-updater
Tags: #<Tag:0x00007ff09bfb8e00>

#1

It seems that mantis can never remember my password, so I’m noting this here…

Updater fails with this error

Starting integrity check
The following files are not expected or are required:
.well-known
mo
robots.txt

Shouldn’t it just ignore my private folders (e.g. mo)??
And .well-known is required for our SSL certificate…


#2

@mikerotec You might want to try a plugin that I have developed to upgrade phplist. It does not have the restrictions of the core phplist updater regarding unexpected files and additional plugins.

See https://resources.phplist.com/plugin/addons


#3

@mikerotec For now it’s best if you move those files out and then move them back after the update completes. Some of these files should be handled automatically in future. If you want to help with that then the source code is awaiting your pull request :slightly_smiling_face:: https://github.com/phpList/Updater